ModuleInfo "Version: 1.26"
ModuleInfo "Author: Mark Sibly, Simon Armstrong"
ModuleInfo "License: zlib/libpng"
ModuleInfo "Copyright: Blitz Research Ltd"
ModuleInfo "Modserver: BRL"
ModuleInfo "History: Moved event enums from system.h to event.mod/event.h"
ModuleInfo "Histroy: Moved keycode enums from system.h to keycodes.mod/keycodes.h"
ModuleInfo "History: 1.26 Release"
ModuleInfo "History: Fixed win32 filerequester causing activewindow dramas"
ModuleInfo "History: 1.25 Release"
ModuleInfo "History: Fixed unretained object issue with mouse tracking"
ModuleInfo "History: 1.24 Release"
ModuleInfo "History: Fixed windowed mode HideMouse issue"
ModuleInfo "History: 1.23 Release"
ModuleInfo "History: Fixed win32 requestfile default extension bug#2"
ModuleInfo "History: 1.22 Release"
ModuleInfo "History: Fixed win32 requestfile default extension bug"
ModuleInfo "History: 1.21 Release"
ModuleInfo "History: New Linux implementation of OpenURL"
ModuleInfo "History: 1.20 Release"
ModuleInfo "History: RequestFile now adds extension to filename on Windows"
ModuleInfo "History: 1.19 Release"
ModuleInfo "History: Added EVENT_GADGETLOSTFOCUS handling"
ModuleInfo "History: 1.18 Release"
ModuleInfo "History: Added EVENT_KEYREPEAT handling"
ModuleInfo "History: 1.17 Release"
ModuleInfo "History: OpenURL now attempts to fully qualify file / http url supplied"
ModuleInfo "History: 1.16 Release"
ModuleInfo "History: Fixed MacOS RequestFile to respect wild card filter"
ModuleInfo "History: 1.15 Release"
ModuleInfo "History: Fixed mouse hidden by default"
ModuleInfo "History: 1.14 Release"
ModuleInfo "History: Fixed HideMouse causing mouse to disappear when in non-client areas"
ModuleInfo "History: 1.13 Release"
ModuleInfo "History: Fixed Linux MoveMouse to be relative to the origin of the current Graphics window"
ModuleInfo "History: 1.12 Release"
ModuleInfo "History: Added Linux X11 import to remove glgraphics.mod dependency"
ModuleInfo "History: Fixed linux middle button crash"
ModuleInfo "History: 1.11 Release"
ModuleInfo "History: Fixed win32 clipboard glitches with QS_ALLINPUT bbSystemWait mod"
ModuleInfo "History: 1.11 Release"
ModuleInfo "History: CGSetLocalEventsSuppressionInterval fix for MacOS bbSystemMoveMouse"
ModuleInfo "History: 1.10 Release"
ModuleInfo "History: Ripped out input stuff and added hook"
ModuleInfo "History: 1.09 Release"
ModuleInfo "History: Tweaked MacOS GetChar()"
ModuleInfo "History: 1.07 Release"
ModuleInfo "History: Added AppTitle support for requesters"
ModuleInfo "History: 1.06 Release"
ModuleInfo "History: Fixed MacOS RequestDir ignoring initial path"
ModuleInfo "History: 1.05 Release"
ModuleInfo "History: Added RequestDir support for MacOS"
ModuleInfo "History: 1.04 Release"
ModuleInfo "History: Added mouse capture to Win32"
ModuleInfo "History: Fixed C Compiler warnings"
import brl.blitz
import brl.event
import brl.keycodes
import brl.filesystem
import "-lX11"
import "-lXxf86vm"
TSystemDriver^Object{
-New%()="_brl_system_TSystemDriver_New"
-Delete%()="_brl_system_TSystemDriver_Delete"
-Poll%()A="brl_blitz_NullMethodError"
-Wait%()A="brl_blitz_NullMethodError"
-MoveMouse%(x%,y%)A="brl_blitz_NullMethodError"
-SetMouseVisible%(visible%)A="brl_blitz_NullMethodError"
-Notify%(text$,serious%)A="brl_blitz_NullMethodError"
-Confirm%(text$,serious%)A="brl_blitz_NullMethodError"
-Proceed%(text$,serious%)A="brl_blitz_NullMethodError"
-RequestFile$(text$,exts$,save%,file$)A="brl_blitz_NullMethodError"
-RequestDir$(text$,path$)A="brl_blitz_NullMethodError"
-OpenURL%(url$)A="brl_blitz_NullMethodError"
}A="brl_system_TSystemDriver"
Driver:TSystemDriver&=mem:p("brl_system_Driver")
bbSystemStartup%()="bbSystemStartup"
bbSystemPoll%()="bbSystemPoll"
bbSystemWait%()="bbSystemWait"
bbSetMouseVisible%(visible%)="bbSetMouseVisible"
bbMoveMouse%(x%,y%)="bbMoveMouse"
bbSystemDisplay%()="bbSystemDisplay"
bbSystemEventHandler%(callback%(xevent@*))="bbSystemEventHandler"
bbSystemPostSyncOp%(syncOp%(syncInfo:Object,asyncRet%),syncInfo:Object,asyncRet%)="bbSystemPostSyncOp"
bbSystemStartAsyncOp%(asyncOp%(asyncInfo%),asyncInfo%,syncOp%(syncInfo:Object,asyncRet%),syncInfo:Object)="bbSystemStartAsyncOp"
bbSystemAsyncFD%()="bbSystemAsyncFD"
bbSystemFlushAsyncOps%()="bbSystemFlushAsyncOps"
XKeyPress%=2
XKeyRelease%=3
XKeyHandler%(keyevent%,key%,mask%)="brl_system_XKeyHandler"
TLinuxSystemDriver^TSystemDriver{
-New%()="_brl_system_TLinuxSystemDriver_New"
-Delete%()="_brl_system_TLinuxSystemDriver_Delete"
-Poll%()="_brl_system_TLinuxSystemDriver_Poll"
-Wait%()="_brl_system_TLinuxSystemDriver_Wait"
-Emit%(osevent@*,source:Object)="_brl_system_TLinuxSystemDriver_Emit"
-SetMouseVisible%(visible%)="_brl_system_TLinuxSystemDriver_SetMouseVisible"
-MoveMouse%(x%,y%)="_brl_system_TLinuxSystemDriver_MoveMouse"
-Notify%(text$,serious%)="_brl_system_TLinuxSystemDriver_Notify"
-Confirm%(text$,serious%)="_brl_system_TLinuxSystemDriver_Confirm"
-Proceed%(text$,serious%)="_brl_system_TLinuxSystemDriver_Proceed"
-RequestFile$(text$,exts$,save%,file$)="_brl_system_TLinuxSystemDriver_RequestFile"
-RequestDir$(text$,path$)="_brl_system_TLinuxSystemDriver_RequestDir"
-OpenURL%(url$)="_brl_system_TLinuxSystemDriver_OpenURL"
}="brl_system_TLinuxSystemDriver"
PollSystem%()="brl_system_PollSystem"
WaitSystem%()="brl_system_WaitSystem"
CurrentDate$()="brl_system_CurrentDate"
CurrentTime$()="brl_system_CurrentTime"
MoveMouse%(x%,y%)="brl_system_MoveMouse"
ShowMouse%()="brl_system_ShowMouse"
HideMouse%()="brl_system_HideMouse"
Notify%(text$,serious%=0)="brl_system_Notify"
Confirm%(text$,serious%=0)="brl_system_Confirm"
Proceed%(text$,serious%=0)="brl_system_Proceed"
RequestFile$(text$,extensions$=$"",save_flag%=0,initial_path$=$"")="brl_system_RequestFile"
RequestDir$(text$,initial_path$=$"")="brl_system_RequestDir"
OpenURL%(url$)="brl_system_OpenURL"
DesktopWidth%()="bbSystemDesktopWidth"
DesktopHeight%()="bbSystemDesktopHeight"
DesktopDepth%()="bbSystemDesktopDepth"
DesktopHertz%()="bbSystemDesktopHertz"
